/* eslint-disable */
// @ts-ignore
import { request } from '@/utils/request';

/** 此处后端没有提供注释 POST /api/WxNotify/TencentIMCallbackHandler */
export async function tencentIMCallbackHandler(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APItencentIMCallbackHandlerParams,
  options?: API.RequestConfig
) {
  return request<API.TencentIMCallbackOutput>('/api/WxNotify/TencentIMCallbackHandler', {
    method: 'POST',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 此处后端没有提供注释 POST /api/WxNotify/TestWXSubscribeEventHandler */
export async function testWXSubscribeEventHandler(
  body: API.WXSubscribeEventInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/WxNotify/TestWXSubscribeEventHandler', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}
